## ulex 0.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.4
+VERSION=0.5
 
 all: ulexing.cma pa_ulex.cma
 all.opt: ulexing.cma ulexing.cmxa pa_ulex.cma
@@ -22,14 +22,19 @@
 	ocamlc -a -o pa_ulex.cma -pp 'camlp4o pa_extend.cmo q_MLast.cmo' -I +camlp4 $(ULEX)
 
 clean:
-	rm -f *.cm* *~ test *.o *.a *.html *.css
+	rm -f *.cm* *~ test custom_ulexing *.o *.a *.html *.css
 
 view_test: pa_ulex.cma
 	camlp4o ./pa_ulex.cma pr_o.cmo -sep "\n" test.ml
 
-run_test: ulexing.cma
+run_test: ulexing.cma pa_ulex.cma
 	ocamlc -o test -pp 'camlp4o ./pa_ulex.cma' ulexing.cma test.ml
 	./test
+
+custom_ulexing: ulexing.cma pa_ulex.cma
+	ocamlc -o custom_ulexing -pp 'camlp4o ./pa_ulex.cma' ulexing.cma custom_ulexing.ml
+
+
 doc:
 	ocamldoc -html ulexing.mli
