=== debian/changelog ===
ulex (1.1-4build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:35:44 +0000

ulex (1.1-4) unstable; urgency=medium

  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Sep 2019 08:38:35 +0200

ulex (1.1-3) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2017 12:20:31 +0200

ulex (1.1-2) unstable; urgency=low

  * Use dh-ocaml 0.9 for dependency generation
  * Switch source package format to 3.0 (quilt)
  * debian/control:
    - add myself to Uploaders, remove Stefano (on his request)
    - move to section ocaml
    - bump Standards-Version to 3.8.4
  * Refresh debian/copyright

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Apr 2010 15:12:14 +0200

ulex (1.1-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * New Upstream Version
  * bump debhelper compatibility level to 7
  * rebuild against ocaml 3.11, bump build-deps accordingly
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet
  * debian/control: bump standards-version to 3.8.0 (no changes needed)
  * debian/*.in: use specific subst var instead of make assumption over
    stdlib dir layout

  [ Stephane Glondu ]
  * Switching packaging to git

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 28 Feb 2009 22:42:58 +0100

ulex (1.0-4) unstable; urgency=low

  * modify debian/watch to grep for version numbers in the HTML, to avoid 403
    errors (Closes: #450004)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 31 Dec 2007 17:58:57 +0100

ulex (1.0-3) unstable; urgency=low

  * fix vcs-svn field to point just above the debian/ dir
  * update standards-version, no changes needed
  * moving myself to uploaders, setting d-o-m as the maintainer
  * add Homepage field to debian/control
  * debian/patches/: add missing descriptions for patch install_destdir

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 31 Dec 2007 17:15:34 +0100

ulex (1.0-2) unstable; urgency=low

  * debian/copyright
    - update some out-of-date information about upstream author
    - update license, it was wrongly described as LGPL while it is MIT
  * debian/control
    - bump ocaml-nox build-dep to >= 3.10.0-8 to ensure the fixed version of
      the CDBS class is used
  * debian/rules
    - enable generation of ocamldoc API reference (delegated to CDBS)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 03 Sep 2007 15:16:20 +0200

ulex (1.0-1) experimental; urgency=low

  * new upstream release
  * rebuild with ocaml 3.10
    - add build-dep on camlp4 and camlp4-extra, now separate packages
    - add dep on camlp4
  * debian/watch
    - add watch file
  * debian/patches/
    - rename patches to avoid sequence numbers (00list is enough) and to use
      more meaningful names
    - refresh patch install_destdir to match new upstream Makefile
    - remove patch meta_version (no longer needed)
  * bump debhelper dep and compatibility level to 5

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 14 Jul 2007 11:53:17 +0200

ulex (0.8-6) unstable; urgency=low

  * debian/rules
    - use ocaml.mk
  * debian/control
    - bumped build dependency on ocaml-nox to >= 3.09.2-7, since we now use
      ocaml.mk
    - fixed a typo in the long description (closes: #390226)

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  4 Nov 2006 09:30:45 +0100

ulex (0.8-5) unstable; urgency=low

  * debian/rules
    - removed no longer needed workaround for cdbs + dpatch
    - avoid to create debian/control from debian/control.in on ocamlinit
    - removed from the source package files which are generated at build time
      from the corresponding .in files
  * debian/control.in
    - file removed, no longer needed

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  6 Sep 2006 10:08:02 +0200

ulex (0.8-4) unstable; urgency=low

  * Upload to unstable.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 16 May 2006 20:12:41 +0000

ulex (0.8-3) experimental; urgency=low

  * Rebuilt against OCaml 3.09.2, bumped deps accordingly.
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 11 May 2006 22:12:52 +0000

ulex (0.8-2) unstable; urgency=low

  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  7 Jan 2006 14:39:04 +0100

ulex (0.8-1) unstable; urgency=low

  * New upstream release
  * Rebuilt with ocaml 3.09
  * debian/*
    - no longer hard coding of ocaml abi version anywhere
  * debian/control
    - bumped standards version
  * debian/patches/
    - ported 17_build to this upstream release
    - removed 19_install_mlis, no longer needed
    - added 23_meta_version, fix META version number

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 13 Nov 2005 00:21:57 +0000

ulex (0.7-2) unstable; urgency=low

  * debian/rules
    - uses cdbs
  * debian/control
    - added build-dep on cdbs, bumped debhelper deb accordingly

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 May 2005 12:45:46 +0200

ulex (0.7-1) unstable; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 May 2005 17:24:58 +0200

ulex (0.5-3) unstable; urgency=low

  * Rebuilt against ocaml 3.08.3

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 24 Mar 2005 22:40:00 +0100

ulex (0.5-2) unstable; urgency=low

  * rebuilt against ocaml 3.08.2

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 29 Nov 2004 23:00:39 +0100

ulex (0.5-1) unstable; urgency=low

  * New upstream release
  * rebuilt with ocaml 3.08
  * debian/control
    - bumped ocaml deps to 3.08
    - bumped standards-version to 3.6.1.1
    - changed ocaml deps to ocaml-nox

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 Jul 2004 16:00:58 +0200

ulex (0.4-2) unstable; urgency=low

  * Ship also ulexing.mli in <stdlib>/ulex

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 15 Jan 2004 20:22:26 +0100

ulex (0.4-1) unstable; urgency=low

