=== debian/control ===
Source: ulex
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.1.0~),
 ocaml-nox (>= 3.11),
 camlp4,
 camlp4-extra,
 ocaml-findlib (>= 1.2.4),
 dh-ocaml (>= 0.9),
 ocamlbuild,
 cdbs
Standards-Version: 3.8.4
Vcs-Git: https://salsa.debian.org/ocaml-team/ulex.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ulex
Homepage: http://www.cduce.org/download.html#side

Package: ocaml-ulex
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml lexer generator with Unicode support
 ulex is a lexer generator for the Objective Caml (OCaml) programming
 language.
 .
 It is implemented as a Camlp4 syntax extension: lexer specifications
 are embedded in regular OCaml code.
 .
 Generated lexers work with a new kind of "lexbuf" that supports
 Unicode; a single lexer can work with arbitrary encodings of the input
 stream.
