=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.cduce.org/download.html \
  http://www.cduce.org/download/ulex-(.*)\.tar\.gz
