=== debian/changelog ===
ulex (1.2-3build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 21:18:57 +0200

ulex (1.2-3build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 14:05:37 +0100

ulex (1.2-3build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:29:10 +0200

ulex (1.2-3) unstable; urgency=medium

  * Team upload
  * Fix build with OCaml 5.x

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jun 2024 09:23:46 +0200

ulex (1.2-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Set upstream metadata fields: Repository-Browse.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * debian/watch: Use GitHub /tags rather than /releases page.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 07:58:51 +0200

ulex (1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove myself from Uploaders
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Aug 2020 04:53:07 +0200
