=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

PKGNAME = ocaml-ulex

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dh_auto_build
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) all.opt
endif

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PKGNAME)$(OCAML_STDLIB_DIR)

override_dh_ocaml:
	dh_ocaml --runtime-map=ocaml-ulex
