=== debian/watch ===
version=4
https://github.com/whitequark/ulex/tags .*/archive/refs/tags/v?([0-9.]+)\.tar\.gz
